This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 48776 - inappropriate "candidate for 'no-return'" messages with -O2 and "C/ObjC" compile
inappropriate "candidate for 'no-return'" messages with -O2 and "C/ObjC" compile
Status: CLOSED WONTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-11 14:38 EDT by j. alan eldridge
Modified: 2008-09-16 13:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-16 13:32:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description j. alan eldridge 2001-07-11 14:38:11 EDT
This breaks the compile of Gnome's soup-0.2.1 on gcc-2.96-93. I haven't 
checked prior versions of gcc.

Messages only occur with -O2 or higher, and only on "C" or "Objective-C" 
compile. C++ compiles are not affected (this has got to be a hint).

[alane@wwweasel alane]$ cat urk.c
extern int is_projectile;
extern void do_distance(), do_quantity();

void urk() {
  if (is_projectile) {
    do_distance();
  } else {
    do_quantity();
  }
}


[alane@wwweasel alane]$ gcc -Wmissing-noreturn -O2 -c urk.c
urk.c: In function `urk':
urk.c:10: warning: function might be possible candidate for attribute 
`noreturn'
[alane@wwweasel alane]$ mv urk.c urk.cc
[alane@wwweasel alane]$ gcc -Wmissing-noreturn -O2 -c urk.cc
[alane@wwweasel alane]$ mv urk.cc urk.m
[alane@wwweasel alane]$ gcc -Wmissing-noreturn -O2 -c urk.m
urk.m: In function `urk':
urk.m:10: warning: function might be possible candidate for attribute 
`noreturn'
[alane@wwweasel alane]$
Comment 1 David Lawrence 2008-09-16 13:32:09 EDT
Red Hat Rawhide is no longer a valid product in Bugzilla. If this bug still occurs for you, please move this to the Fedora product with version 'devel'.

Thanks
Dave

Note You need to log in before you can comment on or make changes to this bug.